import { ChatMessage } from './chat-message.enum';
import { LargeLanguageModel } from './large-language-model';
import { NodeWithScore } from 'llamaindex';
export type PostgresqlConfig = {
    user?: string;
    password?: string;
    host?: string;
    port?: number;
    database?: string;
    schemaName?: string;
    tableName?: string;
};
export type Node = NodeWithScore;
export type ChatRagResponse = {
    sourceNodes: Node[];
    response: string;
};
export type RagDocument = {
    id?: string;
    text: string;
    metadata?: object;
};
export declare class VectorDatabase {
    constructor(
        largeLanguageModel: LargeLanguageModel,
        postgresqlConfig: PostgresqlConfig,
        collection: string,
    );
    public insertDocumentToIndex(ragDocument: RagDocument): Promise<void>;
    public chatRag(
        instructions: string,
        question: string,
        history?: ChatMessage[],
        similarityTopK?: number,
        topK?: number,
    ): Promise<ChatRagResponse>;
}
